Bug 238973 - Add bookmark doesn't store non-default port for ssh connection.
Summary: Add bookmark doesn't store non-default port for ssh connection.
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: 2.4.2
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-27 07:55 UTC by Oleg Atamanenko
Modified: 2011-08-21 01:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Atamanenko 2010-05-27 07:55:08 UTC
Version:           2.4.2 (using KDE 4.4.2) 
OS:                Linux

* I connect via ssh to the host with non-default port, i.e. 2222 instead of 22 
* I add bookmark.
* Bookmark doesn't store port and bookmark is not usable, i have to manually modify bookmark (username@host:2222).

Reproducible: Always
Comment 1 Kurt Hindenburg 2010-05-27 16:43:17 UTC
If the port is on the command line (-p or :), Konsole should be able to use it (with a patch).  If you  have it in your .ssh/config, I don't think there is anyway for Konsole to know about it.
Comment 2 Oleg Atamanenko 2010-05-27 19:11:48 UTC
I pass port using command line option for some hosts and for some hosts I have configuration in .ssh/config. It will be good if konsole will support at least commandline option detection.
Comment 3 Jekyll Wu 2011-08-21 01:29:19 UTC
Git commit 6aad97eb015dc455ec5c642ae1c8e69b12c5208f by Jekyll Wu.
Committed on 21/08/2011 at 03:19.
Pushed by jekyllwu into branch 'master'.

make bookmark save non-default ssh port if it is used.

BUG: 238973
FIXED-IN: 4.8

M  +7    -0    src/Session.cpp

http://commits.kde.org/konsole/6aad97eb015dc455ec5c642ae1c8e69b12c5208f